Skip to main content
projects

List projects

Projects in the workspace the key belongs to.

GET
/projects
Authorizationstringheaderrequired

An API key: vzk_live_...

limitintegerquerydefault:50
Required range: 1 <= x <= 200
cursorstringquery

next_cursor from the previous page

sortstringquery

Comma-separated fields, "-" prefix for descending. Sortable: name, start_date, end_date, created_at, updated_at.

filtersobjectquery

Filter with field=value or field[op]=value (op: eq, neq, gt, gte, lt, lte, like, ilike, in, is). Filterable: id (uuid), status (string), priority (string), archived (boolean), is_template (boolean), client (string), name (string), start_date (date), end_date (date), created_at (timestamp), updated_at (timestamp).

program_idstringquery

Only the projects in this program (an id from GET /programs).

Response

application/json

One page

dataobject[]required
next_cursorstring | nullrequired